MCD(4) | Kernel Interfaces Manual | MCD(4)

# NAME

mcd — Mitsumi CD-ROM driver

# SYNOPSIS

mcd0 at isa? port 0x300 irq 10
options MCD_PROMISC

# DESCRIPTION

The mcd driver provides support for Mitsumi CD-ROM controller and drive on the isa(4) bus.

# FILES

/dev/cd[0-9][a-h]
  block mode Mitsumi CD-ROM devices
/dev/rmcd[0-9][a-h]
  raw mode Mitsumi CD-ROM devices

# SEE ALSO

intro(4), isa(4), ne(4), we(4)

# BUGS

The mcd hardware is difficult to probe accurately. Historically, the mcd probe would accept any return values as indicating that an mcd drive was present. Other devices, particularly ne(4) or we(4), would then be incorrectly claimed by the mcd driver. The driver now only accepts result codes known to indicate Mitsumi-compatible CD controllers, but may reject some mcd hardware which returns other result codes.

options MCD_PROMISC enables the original promiscuous probe behaviour. Use with extreme caution.

November 29, 1994 | NetBSD 6.0